Loading...
Searching...
No Matches
volk_modtool.cfg.volk_modtool_config Class Reference

Inherits object.

## Public Member Functions

| key_val_sub (self, num, stuff, section)
| verify (self)
| remap (self)
| verify_section (self, section)
| __init__ (self, cfg=None)
| read_map (self, name, inp)
| get_map (self, name)

## Data Fields

list | verification
list | remapification
str | config_name = 'config'
list | config_defaults = ['name', 'destination', 'base']
list | config_defaults_remap
list | config_defaults_verify
| cfg = icfg

## Constructor & Destructor Documentation

## __init__()

volk_modtool.cfg.volk_modtool_config.__init__ | ( |  | self,
|  |  | cfg = None )

## Member Function Documentation

## get_map()

volk_modtool.cfg.volk_modtool_config.get_map | ( |  | self,
|  |  | name )

## key_val_sub()

volk_modtool.cfg.volk_modtool_config.key_val_sub | ( |  | self,
|  |  | num,
|  |  | stuff,
|  |  | section )

## read_map()

volk_modtool.cfg.volk_modtool_config.read_map | ( |  | self,
|  |  | name,
|  |  | inp )

## remap()

volk_modtool.cfg.volk_modtool_config.remap | ( |  | self | ) |

## verify()

volk_modtool.cfg.volk_modtool_config.verify | ( |  | self | ) |

## verify_section()

volk_modtool.cfg.volk_modtool_config.verify_section | ( |  | self,
|  |  | section )

## Field Documentation

## cfg

volk_modtool.cfg.volk_modtool_config.cfg = icfg

## config_defaults

list volk_modtool.cfg.volk_modtool_config.config_defaults = ['name', 'destination', 'base']

## config_defaults_remap

list volk_modtool.cfg.volk_modtool_config.config_defaults_remap

Initial value:
= ['1',
'self.cfg.set(self.config_name, \'$k1\', os.path.realpath(os.path.expanduser(\'$1\')))',
'self.cfg.set(self.config_name, \'$k2\', os.path.realpath(os.path.expanduser(\'$2\')))']

## config_defaults_verify

list volk_modtool.cfg.volk_modtool_config.config_defaults_verify

Initial value:
= ['re.match(\'[a-zA-Z0-9]+$\', \'$0\')',
'os.path.exists(\'$1\')',
'os.path.exists(\'$2\')']

## config_name

volk_modtool.cfg.volk_modtool_config.config_name = 'config'

## remapification

list volk_modtool.cfg.volk_modtool_config.remapification

## verification

list volk_modtool.cfg.volk_modtool_config.verification